import { jsx } from "react/jsx-runtime";
import { Cake as Cake$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Cake = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Cake", ...props, children: /* @__PURE__ */ jsx(Cake$1, { weight: variant }) });
  }
);
Cake.displayName = "Cake";
Object.assign(Cake, { isGdsIcon: true });
export {
  Cake
};
